DocxFactory Third Party / Licenses Acknowledgement
==================================================

[DocxFactory](https://github.com/docxfactory/docxfactory) only includes third party components that have a permissive free license.

According to Wikipedia, "A permissive free software license is a class of free software license with minimal
requirements about how the software can be redistributed. Such licenses therefore make no guarantee that future
generations of the software will remain free. This is in contrast to licenses which have reciprocity / share-alike
requirements. Both sets of free software licenses offer the same freedoms in terms of how the software can be used,
studied, and privately modified. A major difference is that when the software is being redistributed (either modified or
unmodified), permissive licenses permit the redistributor to restrict access to the modified source code, while copyleft
licenses do not allow this restriction.". The third party components included in DocxFactory are standard components
widely used in commercial products.


Used third party components
---------------------------

* [ICU](http://site.icu-project.org/) version 1.2.0.
* [Xerces-C++ XML Parser](http://xerces.apache.org/xerces-c/) version 3.1.1.
* [ImageMagick](https://www.imagemagick.org/script/index.php) version 6.9.1.
* [ZINT](http://www.zint.org.uk/) backend (aka ZINT shared library) version 2.4.3.

The following documentation notices are required by third party components included in DocxFactory:


### ICU

DocxFactory includes the [ICU](http://site.icu-project.org/) version 1.2.0.

Such technology is subject to the following terms and conditions:

Copyright © 1991-2014 Unicode, Inc. All rights reserved. Permission is hereby granted, free of charge, to any person
obtaining a copy of the Unicode data files and any associated documentation (the "Data Files") or Unicode software and
any associated documentation (the "Software") to deal in the Data Files or Software without restriction, including without
limitation the rights to use copy, modify, merge, publish, distribute, and/or sell copies of the Data Files or Software,
and to permit persons to whom the Data Files or Software are furnished to do so, provided that

(a) this copyright and permission notice appear with all copies of the Data Files or Software,

(b) this copyright and permission notice appear in associated documentation, and

(c) there is clear notice in each modified Data File or in the Software as well as in the documentation associated with
the Data File(s) or Software that the data or software has been modified.

THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT
LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT
OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA
FILES OR SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall not be used in advertising or otherwise to promote
the sale, use or other dealings in these Data Files or Software without prior written authorization of the copyright holder.


### Xerces-C++ XML Parser

DocxFactory includes the [Xerces-C++ XML Parser](http://xerces.apache.org/xerces-c/) version 3.1.1.

Such technology is subject to the following terms and conditions:

The Apache Software License, Version 1.1. Copyright (c) 1999. The Apache Software Foundation. All rights reserved.
Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following
conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and
the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of
conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. The end-user documentation included with the redistribution, if any, must include the following acknowledgment:
"This product includes software developed by the Apache Software Foundation (http://www.apache.org/)."
Alternately, this acknowledgment may appear in the software itself, if and wherever such third-party acknowledgments
normally appear.

4. The names "Xerces" and "Apache Software Foundation" must not be used to endorse or promote products derived from this
software without prior written permission. For written permission, please contact apache@apache.org.

5. Products derived from this software may not be called "Apache", nor may "Apache" appear in their name, without prior
written permission of the Apache Software Foundation.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE APACHE SOFTWARE
FOUNDATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGE.

This software consists of voluntary contributions made by many individuals on behalf of the Apache Software Foundation
and was originally based on software copyright (c) 1999, International Business Machines, Inc., http://www.ibm.com.
For more information on the Apache Software Foundation, please see <http://www.apache.org/>.


### ImageMagick

DocxFactory includes [ImageMagick](https://www.imagemagick.org/script/index.php) version 6.9.1.

Such technology is subject to the following terms and conditions:

1) Copyright (C) 2003 ImageMagick Studio, a non-profit organization dedicated to making software imaging solutions freely
available.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy,
modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the
ImageMagick is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick.
The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the
warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall ImageMagick Studio
be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from,
out of or in connection with ImageMagick or the use or other dealings in ImageMagick.

Except as contained in this notice,
the name of the ImageMagick Studio shall not be used in advertising or otherwise to promote the sale, use or other dealings
in ImageMagick without prior written authorization from the ImageMagick Studio.

2) In November 2002, the GraphicsMagick Group created GraphicsMagick from ImageMagick Studio's ImageMagick source.
ImageMagick adopted some of their improvements to existing programs and scripts, including:

Unix configure
Installation instructions Test programs
PerlMagick test scripts
JP2 image coder
Windows configure
Windows IMDisplay
Windows ATL COM


### Windows ATL7 COM

In addition the Windows distrbution of ImageMagick includes this new program:

Windows ATL7 COM

The improvements and the ATL7 COM is copyright: Copyright (C) 2002 GraphicsMagick Group, an organization dedicated to
making software imaging solutions freely available.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files ("GraphicsMagick"), to deal in GraphicsMagick without restriction, including without limitation the rights to use,
copy, modify, merge, publish, distribute, sublicense, and/or sell copies of GraphicsMagick, and to permit persons to whom
GraphicsMagick is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of GraphicsMagick.

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the
warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall GraphicsMagick
Group be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising
from, out of or in connection with GraphicsMagick or the use or other dealings in GraphicsMagick.

Except as contained in this notice, the name of the GraphicsMagick Group shall not be used in advertising or otherwise
to promote the sale, use or other dealings in GraphicsMagick without prior written authorization from the GraphicsMagick
Group.

3) From 1991 to August 1999, ImageMagick was developed and distributed by E. I. du Pont de Nemours and Company:

Copyright 1999 E. I. du Pont de Nemours and Company

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy,
modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the
ImageMagick is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick.

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the
warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall E. I. du Pont de
Nemours and Company be liable for any claim, damages or other liability, whether in an action of contract, tort or
otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick.

Except as contained in this notice, the name of the E. I. du Pont de Nemours and Company shall not be used in advertising
or otherwise to promote the sale, use or other dealings in ImageMagick without prior written authorization from the E. I.
du Pont de Nemours and Company.

4) This copyright is limited to some code (for locating an installed Ghostscript under Windows) in the file magick/nt_base.c
which was incorporated from the gsview package:

Copyright (C) 2000-2002, Ghostgum Software Pty Ltd. All rights reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of this file ("Software"), to deal in the
Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute,
sublicense, and/or sell copies of this Software, and to permit persons to whom this file is furnished to do so, subject
to the following conditions:

This Software is distributed with NO WARRANTY OF ANY KIND. No author or distributor accepts any responsibility for the
consequences of using it, or for whether it serves any particular purpose or works at all, unless he or she says so in
writing.

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

5) The Base64Decode() and Base64Encode() methods are based on source code obtained from OpenSSH. This source code is
distributed under the following license.

Copyright (c) 2000 Markus Friedl. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following
conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following
disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

6) The C++ API known as "Magick++", and which resides in the Magick++ directory, is distributed under the following license:

Copyright 1999 - 2003 Bob Friesenhahn <bfriesen@simple.dallas.tx.us>

Permission is hereby granted, free of charge, to any person obtaining a copy of the source files and associated
documentation files ("Magick++"), to deal in Magick++ without restriction, including without limitation of the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of Magick++, and to permit persons to whom
the Magick++ is furnished to do so, subject to the following conditions:

This copyright notice shall be included in all copies or substantial portions of Magick++. The copyright to Magick++ is
retained by its author and shall not be subsumed or replaced by any other copyright.

The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the
warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall Bob Friesenhahn
be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from,
out of or in connection with Magick++ or the use or other dealings in Magick++.

7) ImageMagick makes use of third-party "delegate" libraries to support certain optional features. These libraries bear
their own copyrights and licenses, which may be more or less restrictive than the ImageMagick license. For convenience,
when ImageMagick is bundled with (or compiled with) "delegate" libraries, a copy of the licenses for these libraries is
provided in a "licenses" directory.


### ZINT backend (aka ZINT shared library)

DocxFactory includes the [ZINT](http://www.zint.org.uk/) backend (aka ZINT shared library) version 2.4.3.

Such technology is subject to the following terms and conditions:

Copyright (C) 2008 Robin Stuart <robin@zint.org.uk>

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following
conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following
disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following
disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the project nor the names of its contributors may be used to endorse or promote products derived
from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.
